Bug 530611 - NetworkManager, updates-testing, no connection possible.
Summary: NetworkManager, updates-testing, no connection possible.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-plasma-networkmanagement
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-23 18:30 UTC by Thomas Janssen
Modified: 2009-12-18 09:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 09:45:05 UTC
Type: ---


Attachments (Terms of Use)
Messages including some playing with my killswitch. (168.41 KB, text/plain)
2009-10-23 18:32 UTC, Thomas Janssen
no flags Details

Description Thomas Janssen 2009-10-23 18:30:43 UTC
Description of problem:
I installed yesterday the latest updates from updates-testing and rebooted this morning. I got no networkconnection. My first thought was the latest kernel from updates. So i booted to the older kernel, but the problem persist.

I checked the rest of the updates list (/var/log/yum.log) and downgraded NetworkManager, NetworkManager-gnome and NetworkManager-glib.
Rebooted and i got my networkconnection back.

Version-Release number of selected component (if applicable):
1:NetworkManager-glib-0.7.1.997-1.fc10.x86_64
1:NetworkManager-0.7.1.997-1.fc10.x86_64
1:NetworkManager-gnome-0.7.1.997-1.fc10.x86_64

How reproducible:
Install the packages from updates-testing and reboot.

  
Actual results:
No network connection possible.

Expected results:
Wifi connection.

Comment 1 Thomas Janssen 2009-10-23 18:32:37 UTC
Created attachment 365880 [details]
Messages including some playing with my killswitch.

Comment 2 Dan Williams 2009-10-23 18:40:42 UTC
Just to confirm, you are running the 2.6.27.37-170.2.104.fc10.x86_64 kernel, right?  'uname -a' from a terminal will tell you.

Comment 3 Dan Williams 2009-10-23 18:45:06 UTC
Does your wifi connection show up in the connection editor in the Wireless tab?  Right-click on the NM applet icon and choose "Edit connections...".

It may also help to dump your connections to a file with:

gconftool-2 --dump /system/networking/connections > ~/Desktop/connections.xml

and either attach that file (check Private if you like), or email it to me (you can click my name in any of the bugzilla comments to get my address) so I can help further diagnose the issue.

Thanks!

Comment 4 Thomas Janssen 2009-10-25 06:39:39 UTC
Sorry, i had a very long work day on the road and needed some sleep after.

2.6.27.37-170.2.104.fc10.x86_64 is the one i use, yep. To confirm that it's not a kernel/driver problem, i booted the older one 2.6.27.35-170.2.94.fc10.x86_64 as mentioned above.

Yes it does show up in the Wireless tab. I will send you the xml file.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Thomas Janssen 2009-10-25 07:21:06 UTC
Alright.. Looks like it does "only" break the functionality of
kde-plasma-networkmanagement-0.1-0.12.20090519svn.fc10.x86_64

I removed the plasmoid and got it working with nm-applet. Let me find out if someone wants to work on that one.

I wasted your time, sorry for that.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Thomas Janssen 2009-10-25 11:07:46 UTC
Assigned it to kde-plasma-networkmanagement.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Kevin Kofler 2009-10-25 11:33:54 UTC
I guess we'll have to push the current knetworkmanager4 snapshots to replace the broken old kde-plasma-networkmanagement. I've prepared a version which is packaged as knetworkmanager4 so it doesn't replace the KDE 3 knetworkmanager for those who are still using it (it got EOLed in F11, but F10 shipped it).

Comment 8 Dan Williams 2009-10-26 21:34:18 UTC
(In reply to comment #7)
> I guess we'll have to push the current knetworkmanager4 snapshots to replace
> the broken old kde-plasma-networkmanagement. I've prepared a version which is
> packaged as knetworkmanager4 so it doesn't replace the KDE 3 knetworkmanager
> for those who are still using it (it got EOLed in F11, but F10 shipped it).  

Hmm, 0.7.2 shouldn't break D-Bus API at all from what's currently there.  If I can find out what's going on, I'm happy to fix in NM 0.7.2 before 0.7.2 actually gets released.  Any idea what's going on before I go off and try to install F10 somewhere?

Comment 9 Kevin Kofler 2009-10-26 21:47:21 UTC
That same kde-plasma-networkmanagement snapshot has also never worked with WPA in F11. So the difference most likely has to be searched for in the delta between the current NM in F10 updates and the one which shipped in F11 GA. (But strangely, a scratch build I did of the F10 NM for F11 didn't seem to fix kde-plasma-nm on F11, at least not for the person who tried the downgrade.) The current upstream knetworkmanager4 (monolithic version) works, but a lot of code changed there and I have no idea what fixed the issue (it might have been a portion of code which was completely rewritten). The old kde-plasma-networkmanagement snapshot in F10 is basically a dead end, so I'm not sure it's worth investing a lot of time into fixing it.

Comment 10 Dan Williams 2009-10-26 22:28:11 UTC
I remember finding and fixing the WPA password thing in knetworkmanager (the old one); basically it shouldn't be sending blank strings back, it just shouldn't add those items to the dict of passwords it returns to NetworkManager I think.  Is that what's going on here perhaps?

knetworkmanager-0.7-no-blank-psk.patch

I believe was the patch in knetworkmanager, does something like that need to be done for kde-plasma-networkmanagement?

Comment 11 Thomas Janssen 2009-10-28 09:30:28 UTC
Ok, my knetworkmanager(3) tryout was a fail as well. Same behavior. I had to uninstall knetworkmanager to get nm-applet to work. So, right now every KDE solution in F-10 is broken. You have to use nm-applet.

kde-plasma-networkmanagement-0.1.0.12.20090519svn.fc10.x86_64
knetworkmanager-0.7.0.8.20080926svn.fc10.x86_64


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 12 Kevin Kofler 2009-10-28 09:39:28 UTC
So right now, I see 3 solutions:
(a) push the KDE 4 knetworkmanager as a replacement for both kde-plasma-networkmanagement and the KDE 3 knetworkmanager. This will require reconfiguration (reentering WPA keys etc.) for existing users of those solutions and some things the KDE 3 knetworkmanager supported (e.g. hidden SSIDs) are still not properly supported in the KDE 4 one.
(b) try upgrading the KDE 3 knetworkmanager to a current snapshot from the corresponding branch. No guarantees of success there, as we haven't done any testing on that, we focused on the KDE 4 stuff.
(c) unpush the NetworkManager update and keep the status quo of everything until F10's EOL. Given where we are in F10's timeline, that sounds like the best solution to me.

Re comment #10, it's not the same issue, the KDE 3 knetworkmanager which is already patched for that doesn't work either, and if kde-plasma-nm had that issue, it wouldn't work with the current stable NM update either.

Comment 13 Dan Williams 2009-10-30 07:44:09 UTC
The actual bug that causes knm to fail connection is a regression in NetworkManager that will be fixed in the next testing update.

Comment 15 Fedora Update System 2009-11-04 12:33:42 UTC
NetworkManager-0.7.1.998-1.fc11, mobile-broadband-provider-info-1.20090918-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager mobile-broadband-provider-info'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10696

Comment 16 Bug Zapper 2009-11-18 12:17:58 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Fedora Update System 2009-12-07 07:35:07 UTC
mobile-broadband-provider-info-1.20090918-1.fc11, NetworkManager-0.7.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Bug Zapper 2009-12-18 09:45:05 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.